I tried to update but I'm confused


#1

So previously I was working on a paper 1.12.2 server as a hobby from time to time but now i decided that i should update to 1.13.2. I downloaded paperclip-488 and it seems like it doesn’t have any of the spigot API. I can’t find an org.Bukkit package nor anything similar from the 1.12.2 i last updated oct 28. The javadocs says it sohuld have everything https://papermc.io/javadocs/overview-summary.html
Maybe it’s a stupid question but I don’t know anything about paper or even the normal spigot since oct 28. Can someone tell me what’s going on? Is the 1.13.2 version of paper not finished?


#2

Paperclip is a bootstrap, not the server jar; You /really/ should be using a proper build tool such as maven/gradle and importing just the API with that; if you really must import a jar, you need to run paperclip once and grab the patched jar from the cache folder